org.wildfly.swarm.microprofile.openapi.api.models.security

## Class SecurityRequirementImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,List<String>>
      - - org.wildfly.swarm.microprofile.openapi.api.models.security.SecurityRequirementImpl

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,List<String>>, ModelImpl

      public class SecurityRequirementImpl
      extends LinkedHashMap<String,List<String>>
      implements ModelImpl

  An implementation of the `SecurityRequirement` OpenAPI model interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityRequirementImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityRequirement` | `addScheme(String securitySchemeName)`
    `SecurityRequirement` | `addScheme(String securitySchemeName, List<String> scopes)`
    `SecurityRequirement` | `addScheme(String securitySchemeName, String scope)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### SecurityRequirementImpl

          public SecurityRequirementImpl()

  - ### Method Detail

    - #### addScheme

          public SecurityRequirement addScheme(String securitySchemeName,
                                               String scope)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityRequirement#addScheme(java.lang.String, java.lang.String)`

    - #### addScheme

          public SecurityRequirement addScheme(String securitySchemeName,
                                               List<String> scopes)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityRequirement#addScheme(java.lang.String, java.util.List)`

    - #### addScheme

          public SecurityRequirement addScheme(String securitySchemeName)

      See Also:
        `org.eclipse.microprofile.openapi.models.security.SecurityRequirement#addScheme(java.lang.String)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.